Summary:	Link-local XMPP connection manager for the Telepathy
Summary(pl.UTF-8):	Zarządca połączeń XMPP link-local dla Telepathy
Name:		telepathy-salut
Version:	0.8.1
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-salut/%{name}-%{version}.tar.gz
# Source0-md5:	7516e6f6fa56a61054413a03642b938d
Patch0:		%{name}-openssl-1.1.0.patch
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	avahi-glib-devel
BuildRequires:	avahi-gobject-devel
BuildRequires:	cyrus-sasl-devel >= 2
BuildRequires:	dbus-devel >= 1.1.0
BuildRequires:	dbus-glib-devel >= 0.61
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	gtk-doc >= 1.17
BuildRequires:	gtk-doc-automake >= 1.17
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	libxslt-progs
BuildRequires:	openssl-devel >= 0.9.8g
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	sqlite3-devel
BuildRequires:	telepathy-glib-devel >= 0.17.1
Requires:	dbus-glib >= 0.61
Requires:	dbus-libs >= 1.1.0
Requires:	glib2 >= 1:2.28
Requires:	openssl >= 0.9.8g
Requires:	telepathy-glib >= 0.17.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Link-local XMPP functionality for Telepathy.

%description -l pl.UTF-8
Ten pakiet udostępnia funkcjonalność XMPP link-local dla Telepathy.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-avahi-tests \
	--disable-static \
	--with-tls=openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# -j1 because of some race when installing libsalut-plugins.so and relinking its dependencies
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# private shared libraries, .la file/.so symlink not needed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/telepathy/salut-0/lib/lib{salut-plugins,wocky}.{la,so}
# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/telepathy-salut/clique.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/clique.html
%attr(755,root,root) %{_libexecdir}/telepathy-salut
%dir %{_libdir}/telepathy/salut-0
%dir %{_libdir}/telepathy/salut-0/lib
%attr(755,root,root) %{_libdir}/telepathy/salut-0/lib/libsalut-plugins-%{version}.so
%attr(755,root,root) %{_libdir}/telepathy/salut-0/lib/libwocky-telepathy-salut-%{version}.so
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.salut.service
%{_datadir}/telepathy/managers/salut.manager
%{_mandir}/man8/telepathy-salut.8*
%changelog
* Fri Oct 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/telepathy-salut.git;a=log;h=master

* Fri Oct 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 3254662
- release 4, openssl-1.1.0 fixes

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 067d3d6
- release 3 (by relup.sh)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 4471037
- release 2 (by relup.sh)

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> d7f309a
- updated to 0.8.1

* Tue Sep 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 9b426b9
- install seems racy, use -j1

* Tue Sep 11 2012 Jakub Bogusz <qboosh@pld-linux.org> b917de6
- updated to 0.8.0

* Fri Nov 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> ff89995
- updated to 0.6.0
- updated BRs

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 0492545
- Up to 0.4.0

* Thu Jul 22 2010 Patryk Zawadzki <patrys@room-303.com> f281dbf
- 0.3.12

* Mon Dec 07 2009 sparky <sparky@pld-linux.org> 9211ef7
- BR: gtk-doc-automake, libsoup-devel, python-modules

* Mon Dec 07 2009 Patryk Zawadzki <patrys@room-303.com> 3596fff
- 0.3.10

* Thu May 28 2009 Patryk Zawadzki <patrys@room-303.com> 84ed5b3
- 0.3.9

* Thu Jul 31 2008 Patryk Zawadzki <patrys@room-303.com> c2795ea
- 0.3.3

* Thu Mar 06 2008 aredridel <aredridel@pld-linux.org> 9a889b5
- 0.3.1

* Tue Dec 18 2007 aredridel <aredridel@pld-linux.org> ef66699
- 0.2.0

* Tue Aug 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 09164e6
- updated to 0.1.3

* Sun Jun 17 2007 Jakub Bogusz <qboosh@pld-linux.org> d4a2cb3
- pl

* Mon Jun 11 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a62121f
- new

